# Implementation-dependent features.
#
# $Id: Implementation.properties,v 1.12 2007/05/22 23:33:20 hrivnac Exp $

# JDBC Driver class
hep.aida.ref.sql.Implementation.Driver.mysql            = org.gjt.mm.mysql.Driver
hep.aida.ref.sql.Implementation.Driver.postgresql       = org.postgresql.Driver
hep.aida.ref.sql.Implementation.Driver.derby            = org.apache.derby.jdbc.EmbeddedDriver
hep.aida.ref.sql.Implementation.Driver.oracle           = oracle.jdbc.driver.OracleDriver
hep.aida.ref.sql.Implementation.Driver.sqlite           = org.sqlite.JDBC

# If supports only uppercase
hep.aida.ref.sql.Implementation.UpperCase.mysql         = false
hep.aida.ref.sql.Implementation.UpperCase.postgresql    = false
hep.aida.ref.sql.Implementation.UpperCase.derby         = true
hep.aida.ref.sql.Implementation.UpperCase.oracle        = true
hep.aida.ref.sql.Implementation.UpperCase.sqlite        = true

# If supports table replication inside DB
hep.aida.ref.sql.Implementation.Replication.mysql       = true
hep.aida.ref.sql.Implementation.Replication.postgresql  = false
hep.aida.ref.sql.Implementation.Replication.derby       = true
hep.aida.ref.sql.Implementation.Replication.oracle      = true
hep.aida.ref.sql.Implementation.Replication.sqlite      = false

# If it uses databse creation command
hep.aida.ref.sql.Implementation.CreationCommand.mysql      =
hep.aida.ref.sql.Implementation.CreationCommand.postgresql =
hep.aida.ref.sql.Implementation.CreationCommand.derby      =;create=true
hep.aida.ref.sql.Implementation.CreationCommand.oracle     =
hep.aida.ref.sql.Implementation.CreationCommand.sqlite     =

# If it only supports TYPE_FORWARD_ONLY cursor
hep.aida.ref.sql.Implementation.ForwardOnly.mysql      = false
hep.aida.ref.sql.Implementation.ForwardOnly.postgresql = false
hep.aida.ref.sql.Implementation.ForwardOnly.derby      = false
hep.aida.ref.sql.Implementation.ForwardOnly.oracle     = false
hep.aida.ref.sql.Implementation.ForwardOnly.sqlite     = true

